# Generated by Django 2.0.1 on 2018-01-15 18:46

from django.db import migrations, models
import djstripe.fields


class Migration(migrations.Migration):

    dependencies = [
        ('djstripe', '0020_auto_20180110_0842'),
    ]

    operations = [
        migrations.CreateModel(
            name='FileUpload',
            fields=[
                ('djstripe_id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='ID')),
                ('stripe_id', djstripe.fields.StripeIdField(max_length=255, unique=True)),
                ('livemode', djstripe.fields.StripeNullBooleanField(default=None, help_text='Null here indicates that the livemode status is unknown or was previously unrecorded. Otherwise, this field indicates whether this record comes from Stripe test mode or live mode operation.')),
                ('created', djstripe.fields.StripeDateTimeField(help_text='The datetime this object was created in stripe.', null=True)),
                ('metadata', djstripe.fields.StripeJSONField(blank=True, help_text='A set of key/value pairs that you can attach to an object. It can be useful for storing additional information about an object in a structured format.', null=True)),
                ('description', djstripe.fields.StripeTextField(blank=True, help_text='A description of this object.', null=True)),
                ('djstripe_created', models.DateTimeField(auto_now_add=True)),
                ('djstripe_updated', models.DateTimeField(auto_now=True)),
                ('filename', djstripe.fields.StripeCharField(help_text='A filename for the file, suitable for saving to a filesystem.', max_length=255)),
                ('purpose', djstripe.fields.StripeCharField(choices=[('dispute_evidence', 'Dispute evidence'), ('identity_document', 'Identity document'), ('tax_document_user_upload', 'Tax document user upload')], help_text='The purpose of the uploaded file.', max_length=24)),
                ('size', djstripe.fields.StripeIntegerField(help_text='The size in bytes of the file upload object.')),
                ('type', djstripe.fields.StripeCharField(choices=[('csv', 'CSV'), ('docx', 'DOCX'), ('jpg', 'JPG'), ('pdf', 'PDF'), ('png', 'PNG'), ('xls', 'XLS'), ('xlsx', 'XLSX')], help_text='The type of the file returned.', max_length=4)),
                ('url', djstripe.fields.StripeCharField(help_text='A read-only URL where the uploaded file can be accessed.', max_length=200)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
