# -*- coding: utf-8 -*-
# Generated by Django 2.0.5 on 2018-05-23 14:43

from django.db import migrations
import djstripe.fields


class Migration(migrations.Migration):

    dependencies = [
        ('djstripe', '0022_auto_20180117_1313'),
    ]

    operations = [
        migrations.AddField(
            model_name='invoice',
            name='amount_paid',
            field=djstripe.fields.StripeCurrencyField(decimal_places=2, help_text='The amount, in cents, that was paid.', max_digits=8, null=True),
        ),
        migrations.AddField(
            model_name='invoice',
            name='amount_remaining',
            field=djstripe.fields.StripeCurrencyField(decimal_places=2, help_text='The amount, in cents, that was paid.', max_digits=8, null=True),
        ),
        migrations.AddField(
            model_name='invoice',
            name='billing',
            field=djstripe.fields.StripeCharField(choices=[('charge_automatically', 'Charge automatically'), ('send_invoice', 'Send invoice')], help_text='When charging automatically, Stripe will attempt to pay this invoiceusing the default source attached to the customer. When sending an invoice, Stripe will email this invoice to the customer with payment instructions.', max_length=20, null=True),
        ),
        migrations.AddField(
            model_name='invoice',
            name='due_date',
            field=djstripe.fields.StripeDateTimeField(help_text='The date on which payment for this invoice is due. This value will be null for invoices where billing=charge_automatically.', null=True),
        ),
        migrations.AddField(
            model_name='invoice',
            name='number',
            field=djstripe.fields.StripeCharField(help_text='A unique, identifying string that appears on emails sent to the customer for this invoice. This starts with the customer’s unique invoice_prefix if it is specified.', max_length=64, null=True),
        ),
        migrations.AddField(
            model_name='invoice',
            name='receipt_number',
            field=djstripe.fields.StripeCharField(help_text='This is the transaction number that appears on email receipts sent for this invoice.', max_length=64, null=True),
        ),
        migrations.AddField(
            model_name='invoice',
            name='webhooks_delivered_at',
            field=djstripe.fields.StripeDateTimeField(help_text='The time at which webhooks for this invoice were successfully delivered (if the invoice had no webhooks to deliver, this will match `date`). Invoice payment is delayed until webhooks are delivered, or until all webhook delivery attempts have been exhausted.', null=True),
        ),
    ]
