# -*- coding: utf-8 -*-
# Generated by Django 2.0.5 on 2018-05-28 02:37

from django.db import migrations, models
import django.db.models.deletion
import djstripe.fields


class Migration(migrations.Migration):

    dependencies = [
        ('djstripe', '0025_auto_20180528_0237'),
    ]

    operations = [
        migrations.CreateModel(
            name='Refund',
            fields=[
                ('djstripe_id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='ID')),
                ('stripe_id', djstripe.fields.StripeIdField(max_length=255, unique=True)),
                ('livemode', djstripe.fields.StripeNullBooleanField(default=None, help_text='Null here indicates that the livemode status is unknown or was previously unrecorded. Otherwise, this field indicates whether this record comes from Stripe test mode or live mode operation.')),
                ('created', djstripe.fields.StripeDateTimeField(help_text='The datetime this object was created in stripe.', null=True)),
                ('metadata', djstripe.fields.StripeJSONField(blank=True, help_text='A set of key/value pairs that you can attach to an object. It can be useful for storing additional information about an object in a structured format.', null=True)),
                ('description', djstripe.fields.StripeTextField(blank=True, help_text='A description of this object.', null=True)),
                ('djstripe_created', models.DateTimeField(auto_now_add=True)),
                ('djstripe_updated', models.DateTimeField(auto_now=True)),
                ('amount', djstripe.fields.StripeIntegerField(help_text='Amount, in cents.')),
                ('currency', djstripe.fields.StripeCharField(help_text='Three-letter ISO currency code', max_length=3)),
                ('failure_reason', djstripe.fields.StripeCharField(choices=[('expired_or_canceled_card', 'Expired or canceled card'), ('lost_or_stolen_card', 'Lost or stolen card'), ('unknown', 'Unknown')], help_text='If the refund failed, the reason for refund failure if known.', max_length=24, null=True)),
                ('reason', djstripe.fields.StripeCharField(choices=[('duplicate', 'Duplicate charge'), ('fraudulent', 'Fraudulent'), ('requested_by_customer', 'Requested by customer')], help_text='Reason for the refund.', max_length=21, null=True)),
                ('receipt_number', djstripe.fields.StripeCharField(help_text='The transaction number that appears on email receipts sent for this charge.', max_length=9, null=True)),
                ('status', djstripe.fields.StripeCharField(choices=[('expired_or_canceled_card', 'Expired or canceled card'), ('lost_or_stolen_card', 'Lost or stolen card'), ('unknown', 'Unknown')], help_text='Status of the refund.', max_length=9)),
                ('charge', models.ForeignKey(help_text='The charge that was refunded', on_delete=django.db.models.deletion.CASCADE, related_name='refunds', to='djstripe.Charge')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
